package com.jy.framework.model.annotation;

import cn.hutool.core.date.DatePattern;
import com.jy.framework.model.enums.LogTagExtendedType;

import java.lang.annotation.*;

@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LogTag {

    String alias() default "";

    LogTagExtendedType extendedType() default LogTagExtendedType.NORMAL;

    /**
     * 如果是字典类型，请设置字典的code值 (如: sys_user_sex)
     */
    String dictCode() default "";

    /**
     * 读取内容转表达式 (如: 0=男,1=女)
     */
    String readConverterExp() default "";

    /**
     * 分隔符，读取字符串组内容
     */
    String separator() default ",";

    String format() default DatePattern.NORM_DATETIME_PATTERN;

}
